> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/integrations/sources/csv.md).

# CSV

### Supported Platforms

| Platform | Metrics | Logs | Traces |
| -------- | ------- | ---- | ------ |
| Linux    |         | ✓    |        |
| Windows  |         | ✓    |        |
| macOS    |         | ✓    |        |

### Configuration Table

<table><thead><tr><th width="153.8359375">Parameter</th><th width="109.4296875">Type</th><th width="97.9296875">Default</th><th>Description</th></tr></thead><tbody><tr><td>header*</td><td><code>string</code></td><td></td><td>A comma-delimited list of keys assigned to each of the columns.</td></tr><tr><td>file_path*</td><td><code>strings</code></td><td></td><td>File or directory paths to tail for logs.</td></tr><tr><td>exclude_file_path</td><td><code>strings</code></td><td></td><td>File or directory paths to exclude.</td></tr><tr><td>log_type</td><td><code>string</code></td><td>csv</td><td>A friendly name that will be added to each log entry as an attribute.</td></tr><tr><td>start_at</td><td><code>enum</code></td><td>end</td><td>Start reading the file from the 'beginning' or 'end'.</td></tr><tr><td>encoding</td><td><code>enum</code></td><td>utf-8</td><td>The encoding of the file being read. Valid values include: <code>nop</code>, <code>utf-8</code>, <code>utf-16le</code>, <code>utf-16be</code>, <code>ascii</code>, <code>big5</code>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/sources/csv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
